> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/goodsreceived/_newnote.md).

# \_newNote

Creates a new Goods Received Note.

### Parameters

#### supplier\_id

The ID of the goods supplier.

#### po\_id

The Purchase Order ID.

#### date\_received

Date the goods were received on. In the format of YYYY-MM-DD.

#### supp\_invoice

Supplier invoice reference

#### supp\_dnn

Suppliers delivery note

#### notes

Notes relating to the goods received

### Example

```
FM_api('GoodsReceived_newNote', [
        'supplier_id' => '608071',
        'po_id' => '424005',
        'date_received' => '2018-11-09',
        'supp_invoice' => '140',
        'supp_dnn' => 'delivery note',
        'notes' => 'new note'
    ]
);
```

### Results

#### On Failure

If "supplier\_id" parameter is not set or has a value less than 1:

```
{"error":"missing or invalid parameter: supplier_id"}
```

#### On Success

Returns the ID of the created Goods Received Note.

```
{"ok":1,"id":30002}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/goodsreceived/_newnote.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
